org.sqlite

## Class SQLiteConnection

- java.lang.Object
- - org.sqlite.core.CoreConnection
  - - org.sqlite.jdbc3.JDBC3Connection
    - - org.sqlite.jdbc4.JDBC4Connection
      - - org.sqlite.SQLiteConnection

All Implemented Interfaces:
  AutoCloseable, Connection, Wrapper

    public class SQLiteConnection
    extends JDBC4Connection

### Field Summary

### Fields inherited from class org.sqlite.core.CoreConnection

`autoCommit, beginCommandMap, dateClass, dateFormat, dateMultiplier, datePrecision, dateStringFormat, db, meta, openModeFlags, transactionIsolation, transactionMode`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
Constructor and Description
`SQLiteConnection(String url, String fileName)` Constructor to create a connection to a database at the given location.
`SQLiteConnection(String url, String fileName, Properties prop)` Constructor to create a pre-configured connection to a database at the given location.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `abort(Executor executor)`
`int` `getNetworkTimeout()`
`String` `getSchema()`
`void` `setNetworkTimeout(Executor executor, int milliseconds)`
`void` `setSchema(String schema)`

### Methods inherited from class org.sqlite.jdbc4.JDBC4Connection

`createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, getClientInfo, getClientInfo, getMetaData, isClosed, isValid, isWrapperFor, prepareStatement, setClientInfo, setClientInfo, unwrap`

### Methods inherited from class org.sqlite.jdbc3.JDBC3Connection

`clearWarnings, commit, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getHoldability, getTransactionIsolation, getTypeMap, getWarnings, isReadOnly, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setHoldability, setReadOnly, setSavepoint, setSavepoint, setTransactionIsolation, setTypeMap`

### Methods inherited from class org.sqlite.core.CoreConnection

`checkCursor, checkOpen, close, db, finalize, getBusyTimeout, libversion, setBusyTimeout, setTransactionMode, url`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Connection

`clearWarnings, close, commit, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getHoldability, getTransactionIsolation, getTypeMap, getWarnings, isReadOnly, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setHoldability, setReadOnly, setSavepoint, setSavepoint, setTransactionIsolation, setTypeMap`

### Constructor Detail

#### SQLiteConnection

    public SQLiteConnection(String url,
                            String fileName)
                     throws SQLException

Constructor to create a connection to a database at the given location.

Parameters:
  `url` - The location of the database.
  `fileName` - The database.
Throws:
  `SQLException`

#### SQLiteConnection

    public SQLiteConnection(String url,
                            String fileName,
                            Properties prop)
                     throws SQLException

Constructor to create a pre-configured connection to a database at the given location.

Parameters:
  `url` - The location of the database file.
  `fileName` - The database.
  `prop` - The configurations to apply.
Throws:
  `SQLException`

### Method Detail

#### setSchema

    public void setSchema(String schema)
                   throws SQLException

Throws:
  `SQLException`

#### getSchema

    public String getSchema()
                     throws SQLException

Throws:
  `SQLException`

#### abort

    public void abort(Executor executor)
               throws SQLException

Throws:
  `SQLException`

#### setNetworkTimeout

    public void setNetworkTimeout(Executor executor,
                                  int milliseconds)
                           throws SQLException

Throws:
  `SQLException`

#### getNetworkTimeout

    public int getNetworkTimeout()
                          throws SQLException

Throws:
  `SQLException`